> ## Documentation Index
> Fetch the complete documentation index at: https://docs.trysight.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Articles

> Create, edit, and refresh SEO via API

| Method | Path                                                     | Scope            |
| ------ | -------------------------------------------------------- | ---------------- |
| GET    | `/api/v1/sites/{siteId}/articles`                        | `articles:read`  |
| GET    | `/api/v1/sites/{siteId}/articles/{id}`                   | `articles:read`  |
| GET    | `/api/v1/sites/{siteId}/articles/limits`                 | `articles:read`  |
| POST   | `/api/v1/sites/{siteId}/articles`                        | `articles:write` |
| PATCH  | `/api/v1/sites/{siteId}/articles/{id}`                   | `articles:write` |
| POST   | `/api/v1/sites/{siteId}/articles/{id}/refresh-seo-title` | `articles:write` |
| POST   | `/api/v1/sites/{siteId}/articles/{id}/refresh-seo-meta`  | `articles:write` |

## Create blank draft

```json theme={null}
POST /api/v1/sites/{siteId}/articles
{ "title": "Untitled", "article_type": "explainer" }
```

## Generate article

```json theme={null}
POST /api/v1/sites/{siteId}/articles
{ "targetKeyword": "best crm software", "article_type": "listicle" }
```

Article quota applies. PATCH allows: `title`, `main_content`, `seo_title`, `seo_meta_description`, `post_summary`, `slug` — not `status`.
